Get asset transfer details for this account
Get asset transfer networks supported by an account. For example, Automated Customer Account Transfer Service (ACATS).
Authorizations
The Fiskil Data Provider will include a self-signed JWT as a Bearer token in the Authorization header.
You should verify this JWT using the JWKS URL you can find for your Data Provider instance in the Fiskil
Console. To verify the JWT you must:
- Verify the signature
- Ensure the token has not expired by checking the
expclaim - The
subandissclaims are your data provider subdomain - The
audclaim is the URI of the resource being requested (excluding any query parameters) - The
jtivalue is unique For further detail on security and authentication refer to our Authentication documentation
Path Parameters
Unique identifier for the user the account belongs to. This will be the user that authorized the data sharing.
Value for a unique identifier
256"someLongTermUniqueIDString"
Account identifier, found in the GET /accounts endpoint response.
Note: If the status of the accountId provided is RESTRICTED, you can send a 200 response with an empty body to indicate that no payment networks are available at this time.
Value for a unique identifier
256"someLongTermUniqueIDString"
Query Parameters
An opaque ID that indicates there is at least one more page of data available. This value does not need to be numeric or have any specific pattern. If provided, the Data Provider will use this value to send a new request and retrieve the next page. Omitting this value indicates that there is no more data to retrieve.
"qwer123454q2f"
The number of elements that the API consumer wishes to receive. To retrieve multiple pages, the Data Provider will use the opaque nextOffset field to send a subsequent request until the nextOffset is no longer included.
Response
Information required to execute an asset transfer transaction against this account
A paginated array of asset transfer networks for the account
A paginated array of asset transfer networks for the account